package com.huiju.estateagents.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huiju.estateagents.entity.TaBuildingDynamic;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 项目动态表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-03-21
 */
@Mapper
public interface TaBuildingDynamicMapper extends BaseMapper<TaBuildingDynamic> {

    /**
     * 会员列列表
     * @param page
     * @return
     */
    IPage<TaBuildingDynamic> buildingDynamicList(Page page, @Param("name") String name, @Param("buildingId") String buildingId);

    /**
     * 详情
     * @param id
     * @return
     */
    TaBuildingDynamic iBuildingDynamicSelectId(@Param("id") String id);

    /**
     * 新增动态
     * @param buildingDynamic
     */
    void insertBuildingDynamic(TaBuildingDynamic buildingDynamic);

    /**
     * 修改动态
     * @param buildingDynamic
     */
    void buildingDynamicUpdate(TaBuildingDynamic buildingDynamic);
}
